# Class: c3.http

Defined in: | js/c3.coffee

## Overview

################################################################## HTTP Helpers

##################################################################

## Class Method Summary

- . (Object, String) deparam(string, key) Parse a string to get an object of key/value pairs or get the value for a specific key
- . (Object, String) deparam_query(key) Parse the "search" query part of a URL to get the value from a key/value pair

## Class Method Details

. (Object, String) deparam(string, key)

Parse a string to get an object of key/value pairs or get the value for a specific key

### Parameters:

- string ( `String` ) — string to parse
- key ( `String` ) — optional key to parse to get the value

### Returns:

- ( `Object, String` ) — The value associated with the key or null if it does not exist. If not key is specified it returns an object of all key/value pairs.

. (Object, String) deparam_query(key)

Parse the "search" query part of a URL to get the value from a key/value pair

### Parameters:

- key ( `String` ) — key to query

### Returns:

- ( `Object, String` ) — The value associated with the key or null if it does not exist. If not key is specified it returns an object of all key/value pairs.

Quickly fuzzy find classes, mixins, methods, file:

- T Open fuzzy finder dialog

Control the navigation frame:

- L Toggle list view
- C Show class list
- I Show mixin list
- F Show file list
- M Show method list
- E Show extras list

You can focus and blur the search input:

- S Focus search input
- Esc Blur search input